/*
 * dvbstub1_frontend.c
 *
 * Copyright (C) 2009 Sergey Mironov
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version 2
 * of the License, or (at your option) any later version.
 *
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
 * Or, point your browser to http://www.gnu.org/copyleft/gpl.html
 *
 */
#include <linux/delay.h>
#include <linux/errno.h>
#include <linux/init.h>
#include <linux/kernel.h>
#include <linux/module.h>
#include <linux/string.h>
#include <linux/slab.h>

#include "dvb_frontend.h"
#include "dvbstub1.h"

#if 0
static int dvbstub1_fe_set_voltage(struct dvb_frontend *fe, fe_sec_voltage_t voltage)
{
	switch(voltage) {
	case SEC_VOLTAGE_OFF:
		break;
	case SEC_VOLTAGE_13:
		break;
	case SEC_VOLTAGE_18:
		break;
	default:
		return -EINVAL;
	};
	return 0;
}

static int dvbstub1_fe_enable_high_lnb_voltage(struct dvb_frontend *fe, long arg)
{
	return 0;
}
#endif

static int dvbstub1_fe_read_status(struct dvb_frontend* fe, fe_status_t * fe_status)
{
	*fe_status = FE_HAS_LOCK;
	return 0;
}

static struct dvb_frontend_ops g_dvbstub1_fe_ops = {
	.info = {
		.name = "DVBSTUB fake frontend device",
		.type = FE_OFDM,
		.frequency_min = 51000000,
		.frequency_max = 858000000,
		.frequency_stepsize = 166667,
		.caps = 0
	},

/*    .release = tda1004x_release,*/

/*    .init = tda10046_init,*/
/*    .sleep = tda1004x_sleep,*/
/*    .write = tda1004x_write,*/
/*    .i2c_gate_ctrl = tda1004x_i2c_gate_ctrl,*/

/*    .set_frontend = tda1004x_set_fe,*/
/*    .get_frontend = tda1004x_get_fe,*/
/*    .get_tune_settings = tda1004x_get_tune_settings,*/

	.read_status = dvbstub1_fe_read_status,
/*    .read_ber = tda1004x_read_ber,*/
/*    .read_signal_strength = tda1004x_read_signal_strength,*/
/*    .read_snr = tda1004x_read_snr,*/
/*    .read_ucblocks = tda1004x_read_ucblocks,*/
};

void dvbstub1_fe_uninit(struct dvb_frontend *fe)
{
	return;
}

int dvbstub1_fe_init(struct dvb_frontend *fe)
{
	memcpy(&fe->ops, &g_dvbstub1_fe_ops, sizeof(struct dvb_frontend_ops));
	return 0;
}

